<?php
/**
 * OOPでBBS (Step1)
 *
 * オブジェクト指向プログラミングで掲示板を作ってみる。
 * ブログでその作り方を晒すために書いたものです。
 * 詳しい事は当該記事を見てください。 
 *
 *
 *
 * LICENSE : Creative Commons 表示 - 非営利 2.1 日本 License.
 *           
 * PHP version 5.3
 *
 * LICENSE : このソースはCreative Commons 表示 - 非営利 2.1 日本 Licenseです。
 *           改変は自由ですが営利目的で利用することは出来ません。
 * 
 * @category  Step1
 * @package   OOP-BBS
 * @author    Tenderfeel <tenderfeel@gmail.com>
 * @copyright Copyright (c) 2010 Tenderfeel.(http://webtecnote.com)
 * @license   http://creativecommons.org/licenses/by-nc/2.1/jp/
 * @since     File available since Release 1.0.0
 *
 */
 

/**
 * 掲示板をコントロールするクラス
 *
 * ModelとViewの中間に立って仕事を振り分けます。
 * ユーザが起こしたイベントに対して応答し、色々と処理します。
 * 仕分け人なので描画やデータの操作は行いません。
 *
 * <step1>
 * モデルとビューのインスタンスを作って実行。Hello Worldを表示する。
 * 
 * @author    Tenderfeel <tenderfeel@gmail.com>
 * @copyright Copyright (c) 2010 Tenderfeel.(http://webtecnote.com)
 * @license   Creative Commons BY-NC http://creativecommons.org/licenses/by-nc/2.1/jp/
 * @since     File available since Release 1.0.0 (step1)
 */
class Controller {
  
  
    public function __construct()
    {
    }
  
    /**
     * index.phpから実行されるメソッド
     * @return {}
     * @since 1.0 (step1)
     */
    public function execute()
    {
        
    require_once('model.php');
    require_once('view.php');
    
    $modelInstance = new Model();//モデル
    $viewInstance = new View();//ビュー
    
    if(!empty($_POST)){
        $modelInstance->dispatch();
    }
    
    $viewInstance->display();
  
    }
}

?>